classification
Title: test_list on 64-bit platforms
Type: resource usage Stage:
Components: Tests Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pitrou, ronaldoussoren
Priority: low Keywords:

Created on 2008-06-06 21:37 by ronaldoussoren, last changed 2009-01-02 11:40 by ronaldoussoren. This issue is now closed.

Messages (3)
msg67786 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2008-06-06 21:37
test_list, and possible other tests, use a lot of memory when Python is 
build in 64-bit mode. This causes heavy swapping when the machine doesn't 
have a huge amount of memory.

I've filed this bug because an OSX box with 3 GBytes of RAM gets 
completely unresponsive when trying to run test_list (due to heavy 
swapping).
msg71212 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-16 13:28
Apparently this has been fixed as part of r65335 ("Security patches from
Apple:  prevent int overflow when allocating memory"), although it uses
sys.maxint where sys.maxsize may be more appropriate. Can you check?
msg78782 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-01-02 11:40
I can confirm that this issue is fixed.
History
Date User Action Args
2009-01-02 11:40:02ronaldoussorensetresolution: works for me -> fixed
messages: + msg78782
2008-12-27 23:13:24pitrousetstatus: open -> closed
resolution: works for me
2008-08-16 13:28:40pitrousetnosy: + pitrou
messages: + msg71212
2008-06-06 21:37:34ronaldoussorencreate